function [results] = getWeightedCM(dataset, config)

if(isfield(config, 'useMeanOnly'))
    use_mean_only = config.useMeanOnly;
else
    use_mean_only = 0;
end

num_folds = config.num_folds;
verbose = config.verbose;
num_features = size(dataset.data, 2);
results.cv_roc = zeros(1, num_features);
dataset = permuteDataset(dataset);
results.feature_order = cell(num_folds, 1);

for i=1:num_folds
    disp(['On fold ' num2str(i) ' of ' num2str(num_folds)]);
    [train test] = getFold(dataset, num_folds, i);
    cm_res = getConservativeMean(train, num_folds, use_mean_only, verbose);
    [~, results.feature_order{i}] = sort(cm_res.cv_roc, 'descend');
    results.cv_roc = results.cv_roc + cm_res.cv_roc;
end

results.cv_roc = results.cv_roc/num_folds;
